<script lang="ts">
  import type { IconDefinition } from '@fortawesome/fontawesome-common-types';
  import Fa, { FaLayers, FaLayersText } from 'svelte-fa';

  export let count: number | undefined;
  export let icon: IconDefinition;
  let clazz: string = 'text-blue-500 w-4 h-4';
  export { clazz as class };
</script>

<FaLayers>
  <Fa {icon} class={clazz} />

  {#if count && count > 1}
  <FaLayersText scale={0.5} translateX={0.4} translateY={-0.4} color="white" style="padding: 0 .4em; background: red; border-radius: 1em">
    { count }
  </FaLayersText>
  {/if}
</FaLayers>
